Subject: Multiprecision arithmetic

From: <[email-masked]>
Date: 9 Nov 93 16:51:00 EDT

A question recently came up about quad. precision compilers. I came upon a 
machine independent way to perform quad. and higher precision. David Bailey of 
Nasa Ames has written a really nice multiprecision arithmetic library in 
fortran. More importantly, he has also written a fortran program translator 
that will convert your program to use any desired precision via these library 
functions. The only modifications necessary are the addition of a few comment 
cards. From personal experience the system is easy to use and portable. I 
converted a pade approximant code that needed quad. precision to run on SGI 
workstations in about 1/2 hour. You can get an index of the programs, 
documentation, etc. by sending a request to Dr. Bailey's machine. E-mail a 
message containing "send index" at the start of a line to:

[email-masked]

The programs, etc. are delivered via the same "send" mechanism. If you have 
problems using the multiprecision arithmetic system, David Bailey's e-mail 
address is [email-masked].